更新被拒绝,因为您当前分支的最新提交落后于其对应的远程分支-阿里云开发者社区

开发者社区> 开发与运维> 正文

更新被拒绝,因为您当前分支的最新提交落后于其对应的远程分支

简介:

提示:更新被拒绝,因为您当前分支的最新提交落后于其对应的远程分支。
提示:再次推送前,先与远程变更合并(如 'git pull ...')。详见
提示:'git push --help' 中的 'Note about fast-forwards' 小节。

引起这个问题是远程仓库和本地不同步引起的

解决方案:需要先获取远端更新并与本地合并,再git push
具体操作如下:

git remote add origin https://github.com/miaoihan/weibo.git  
$git fetch origin    //获取远程更新
$git merge origin/master //把更新的内容合并到本地分支
上面的名字,和*.git改成自己的

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

分享:
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

其他文章